This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471183 - ValueError: device is already in tree
ValueError: device is already in tree
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:84432eb48135296f114dbc0f5f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 11:29 EDT by George Alldritt
Modified: 2017-07-25 11:12 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (499.66 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: anaconda.log (13.81 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: dnf.librepo.log (9.75 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: environ (529 bytes, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: hawkey.log (762 bytes, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: lsblk_output (2.97 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: nmcli_dev_list (1.25 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: os_info (447 bytes, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: storage.log (65.76 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: syslog (246.97 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: ifcfg.log (2.35 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: packaging.log (14.23 KB, text/plain)
2017-07-14 11:29 EDT, George Alldritt
no flags Details
File: program.log (39.29 KB, application/octet-stream)
2017-07-14 11:29 EDT, George Alldritt
no flags Details

  None (edit)
Description George Alldritt 2017-07-14 11:29:01 EDT
Description of problem:
Starting Installation of Fedora 26 x64 Server, unknown error after selecting Language. I managed to boot using the LXDE Live Spin but that also failed when I tried to Install to Hard Drive

Version-Release number of selected component:
anaconda-26.21.11-1

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/devicetree.py", line 148, in _add_device
    raise ValueError("device is already in tree")
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/partition.py", line 111, in run
    self._devicetree._add_device(device)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 306, in handle_device
    device = helper_class(self, info).run()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 519, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 454, in populate
    self._populate()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 271, in reset
    self.devicetree.populate(cleanup_only=cleanup_only)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1175, in storage_initialize
    storage.reset()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
ValueError: device is already in tree

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-26 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26
Comment 1 George Alldritt 2017-07-14 11:29:13 EDT
Created attachment 1298419 [details]
File: anaconda-tb
Comment 2 George Alldritt 2017-07-14 11:29:14 EDT
Created attachment 1298420 [details]
File: anaconda.log
Comment 3 George Alldritt 2017-07-14 11:29:16 EDT
Created attachment 1298421 [details]
File: dnf.librepo.log
Comment 4 George Alldritt 2017-07-14 11:29:18 EDT
Created attachment 1298422 [details]
File: environ
Comment 5 George Alldritt 2017-07-14 11:29:20 EDT
Created attachment 1298423 [details]
File: hawkey.log
Comment 6 George Alldritt 2017-07-14 11:29:21 EDT
Created attachment 1298424 [details]
File: lsblk_output
Comment 7 George Alldritt 2017-07-14 11:29:22 EDT
Created attachment 1298425 [details]
File: nmcli_dev_list
Comment 8 George Alldritt 2017-07-14 11:29:24 EDT
Created attachment 1298426 [details]
File: os_info
Comment 9 George Alldritt 2017-07-14 11:29:26 EDT
Created attachment 1298427 [details]
File: storage.log
Comment 10 George Alldritt 2017-07-14 11:29:32 EDT
Created attachment 1298428 [details]
File: syslog
Comment 11 George Alldritt 2017-07-14 11:29:33 EDT
Created attachment 1298429 [details]
File: ifcfg.log
Comment 12 George Alldritt 2017-07-14 11:29:35 EDT
Created attachment 1298430 [details]
File: packaging.log
Comment 13 George Alldritt 2017-07-14 11:29:37 EDT
Created attachment 1298431 [details]
File: program.log
Comment 14 Jiri Konecny 2017-07-25 11:12:54 EDT
Looks to me like blivet error. I'm changing components.

Note You need to log in before you can comment on or make changes to this bug.